gsasl_callback(3)

NAME
gsasl_callback - API function

SYNOPSIS
#include <gsasl.h>

int gsasl_callback(Gsasl * ctx, Gsasl_session * sctx, Gsasl_property prop);

ARGUMENTS

Gsasl * ctx
    handle received from gsasl_init(), may be NULL to derive it from sctx.

Gsasl_session * sctx
    session handle.

Gsasl_property prop
    enumerated value of Gsasl_property type.

DESCRIPTION
Invoke the application callback. The prop value indicate what the callback is expected to do. For example, for GSASL_ANONYMOUS_TOKEN, the function is expected to invoke gsasl_property_set(SCTX, GSASL_ANONYMOUS_TOKEN, "token") where "token" is the anonymous token the application wishes the SASL mechanism to use. See the manual for the meaning of all parameters.

Note that if no callback has been set by the application, but the obsolete callback interface has been used, this function will translate the old callback interface into the new. This interface should be sufficient to invoke all callbacks, both new and old.

RETURN VALUE
Returns whatever the application callback return, or GSASL_NO_CALLBACK if no application was known.

SINCE
0.2.0

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>. GNU SASL home page: http://www.gnu.org/software/gsasl/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual.